Bug 438107 - New kernel kernel-2.6.24.3-34.fc8 breaks Hibernate on Toshiba Qosmio F10
Summary: New kernel kernel-2.6.24.3-34.fc8 breaks Hibernate on Toshiba Qosmio F10
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: i686
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-19 04:04 UTC by Peter H. Jones
Modified: 2010-10-15 12:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:13:13 UTC


Attachments (Terms of Use)
contents of dmesg (51.74 KB, text/plain)
2010-08-24 23:45 UTC, Peter H. Jones
no flags Details
dmesg before hibernating (49.39 KB, text/plain)
2010-10-15 12:16 UTC, Peter H. Jones
no flags Details
dmesg after resuming (53.79 KB, text/plain)
2010-10-15 12:17 UTC, Peter H. Jones
no flags Details
diff of dmesg.kernel-PAE-2.6.34.7-56.fc13.i686.1 and dmesg.kernel-PAE-2.6.34.7-56.fc13.i686.2 (4.58 KB, text/plain)
2010-10-15 12:25 UTC, Peter H. Jones
no flags Details

Description Peter H. Jones 2008-03-19 04:04:14 UTC
Hibernate saves to disk, but then hangs with fan running fast, instead of
turning off as in kernel-2.6.23.15-137.fc8.

Version-Release number of selected component (if applicable):
kernel-2.6.23.15-137.fc8

How reproducible:
Always

Steps to Reproduce:
1. Try to Shutdown/Hibernate
  
Actual results:
System hangs after saving to disk

Expected results:
Hibernation as in previous version of kernel

Additional info:

Comment 1 Bug Zapper 2008-11-26 10:13:01 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-01-09 06:13:13 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Peter H. Jones 2010-08-24 23:45:19 UTC
Created attachment 440798 [details]
contents of dmesg

Comment 4 Peter H. Jones 2010-08-24 23:47:52 UTC
Saw this bug again in FC13, kernel-PAE-2.6.33.8-149.fc13.i686 . The computer is actually a Toshiba Qosmio F20, not an F10 as indicated in the title. I've uploaded a dmesg output.

Comment 5 Peter H. Jones 2010-10-15 12:16:51 UTC
Created attachment 453715 [details]
dmesg before hibernating

Still seeing this bug with F13, dmesg.kernel-PAE-2.6.34.7-56.fc13.i686 .
Recapitulating steps to reproduce:

Start with no USB's attached.
Take first dmesg.
Hibernate. Screens goes dark, intense disk activity occurs, then screen goes black and fan speeds up. A quick jab to the power button has no effect. Holding
the power button causes a forced power shutdown. Pressing the power button results in a normal restart. So the hibernate works, except for the power-down part.
Took second dmesg after resuming.
Will post the two dmesg's and their diff (additional lines after resume).

I can't change the version. Please reopen and reassign.

Comment 6 Peter H. Jones 2010-10-15 12:17:51 UTC
Created attachment 453716 [details]
dmesg after resuming

Comment 7 Peter H. Jones 2010-10-15 12:25:50 UTC
Created attachment 453718 [details]
diff of dmesg.kernel-PAE-2.6.34.7-56.fc13.i686.1 and dmesg.kernel-PAE-2.6.34.7-56.fc13.i686.2

I am also adding nomodeset to my kernel line in grub, as per bug 630493 .


Note You need to log in before you can comment on or make changes to this bug.